import request from '@/utils/request'

// 查询机构物防建设列表
export function listOrgPhysicalDefenseConstruction(query) {
  return request({
    url: '/system/PhysicalDefenseConstruction/list',
    method: 'get',
    params: query
  })
}

// 查询机构物防建设详细
export function getOrgPhysicalDefenseConstruction(id) {
  return request({
    url: '/system/PhysicalDefenseConstruction/' + id,
    method: 'get'
  })
}

// 新增机构物防建设
export function addOrgPhysicalDefenseConstruction(data) {
  return request({
    url: '/system/PhysicalDefenseConstruction',
    method: 'post',
    data: data
  })
}

// 修改机构物防建设
export function updateOrgPhysicalDefenseConstruction(data) {
  return request({
    url: '/system/PhysicalDefenseConstruction',
    method: 'put',
    data: data
  })
}

// 删除机构物防建设
export function delOrgPhysicalDefenseConstruction(id) {
  return request({
    url: '/system/PhysicalDefenseConstruction/' + id,
    method: 'delete'
  })
}
